Export Form 8949
GET
/api/v1/wallets/{address}/tax-reports/8949/export
const url = 'https://api.qeychain.xyz/api/v1/wallets/example/tax-reports/8949/export?tax_year=1&format=csv&taxpayer_timezone=America%2FNew_York';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.qeychain.xyz/api/v1/wallets/example/tax-reports/8949/export?tax_year=1&format=csv&taxpayer_timezone=America%2FNew_York'Export Form 8949 data as CSV or PDF.
Parameters:
format: Export format (csv or pdf)- CSV: Returns downloadable CSV file
- PDF: Returns downloadable PDF file (IRS-formatted)
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
Query Parameters
Section titled “Query Parameters”tax_year
required
Tax Year
Tax year (required)
integer
Tax year (required)
format
Format
Export format: csv or pdf
string
Export format: csv or pdf
taxpayer_timezone
Taxpayer Timezone
string
owned_wallets
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}